Subject: Re: bug#53238: [PATCH] gnu: tree: Remove stddata feature.

From: Leo Famulari <[email-masked]>
Date: Sun, 16 Jan 2022 13:06:01 -0500

On Sun, Jan 16, 2022 at 06:04:22PM +0100, Marius Bakke wrote:
> After some consideration (and emails with tree author), I think the best
> solution is to patch 'password-store' so that it DTRT even in the
> presence of fd 3.
> 
> I sent a patch to that effect upstream:
> 
>   https://lists.zx2c4.com/pipermail/password-store/2022-January/004563.html
> 
> ...and have local patches to apply that in Guix and revert
> bd4f314bbacaaa56751be3a4769f2082be747d24 and
> a40ac6271578ea061a8a07b2adbd6032a690ca70.
> 
> WDYT?

Definitely, this is the right approach. I didn't participate in this
bugfix but I think that removing or adding features to packages is not
something we should be doing at the level of the distro, except with
upstream coordination. Reporting this issue to password-store should
have been one of the first steps we took.